Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Interface PDFImageHandler

All Superinterfaces:
  ImageHandlerBase

All Known Implementing Classes:
  PDFImageHandlerGraphics2D, PDFImageHandlerRawCCITTFax, PDFImageHandlerRawJPEG, PDFImageHandlerRenderedImage, PDFImageHandlerXML

public interface PDFImageHandler
extends ImageHandlerBase

This interface is used for handling all sorts of image type for PDF output.

Method Summary
`PDFXObject` | `generateImage(RendererContext context, org.apache.xmlgraphics.image.loader.Image image, java.awt.Point origin, java.awt.Rectangle pos)` Generates the PDF objects for the given `Image` instance.

Methods inherited from interface org.apache.fop.render.ImageHandlerBase
`getPriority, getSupportedImageClass, getSupportedImageFlavors`

Method Detail

### generateImage

    public PDFXObject generateImage(RendererContext context,
                                    org.apache.xmlgraphics.image.loader.Image image,
                                    java.awt.Point origin,
                                    java.awt.Rectangle pos)
                             throws java.io.IOException

  Generates the PDF objects for the given `Image` instance. If the handler generates an XObject, it shall return it or otherwise return null. A generated XObject shall be placed in the current viewport according to the two parameters "origin" and "pos".

  Parameters:
    `context` - the PDF renderer context
    `image` - the image to be handled
    `origin` - the current position in the current viewport (in millipoints)
    `pos` - the position and scaling of the image relative to the origin point (in millipoints)
  Returns:
    the generated XObject or null if no XObject was generated
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.